[package]
name = "vproxy-bot"
version = "0.1.0"
edition = "2021"

[dependencies]
dotenv = "0.15.0"
log = "0.4.22"
teloxide = { version = "0.17.0", features = ["macros", "redis-storage"] }
tokio = { version = "1.8", features = ["rt-multi-thread", "macros"] }
color-eyre = "0.6.3"
regex = "1.11.1"
lazy_static = "1.5.0"
hmac = "0.12.1"
sha2 = "0.10.8"
hex = "0.4.3"
reqwest = { version = "0.11.27", features = ["blocking", "json"] }
strum = { version = "0.26.3", features = ["derive"] }
strum_macros = "0.26.3"
chrono = "0.4.38"
serde = "1.0.215"
serde_json = "1.0.133"
captcha-rs = "0.2.10"
bytes = "1.9.0"
image = "0.24.9"
indoc = "2.0.6"
strfmt = "0.2.4"
hashbrown = { version = "0.15.3", features = ["serde"]}
ahash = "0.8.12"
pretty_env_logger = "0.5.0"
colored_json = "5.0.0"
rand = "0.8.5"
colored = "3.0.0"
#derive = { path = "../derive" }
ureq = "3.0.11"
base64 = "0.22.1"
serde_repr = "0.1.20"
urlencoding = "2.1.3"
htmlescape = "0.3.1"
rust-shared = { path = "../rust-shared" }
futures = "0.3.31"
thiserror = "2.0.15"

[build-dependencies]
rust-shared = { path = "../rust-shared" }
